Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionNetData Class Reference

MotionNetData encapsulates all the motion data in the motion net. More...

`#include <MotionNetData.h>`

Collaboration diagram for MotionNetData:

[legend]
List of all members.

## Public Member Functions
| MotionNetData ()
| Default Constructor.
| ~MotionNetData ()
| Deconstructor.
void | load (In &stream)
| Loads the motion net from a file or another stream.
## Public Attributes
short | label_extern_start [SpecialActionRequest::numOfSpecialAction]
| jump table from extern.mof: get start index from request
MotionNetNode * | nodeArray
| The motion net.

## Detailed Description

MotionNetData encapsulates all the motion data in the motion net.

Author:
  Martin Lötzsch

  Uwe Düffert

  Max Risler

Definition at line 24 of file MotionNetData.h.

## Constructor & Destructor Documentation

MotionNetData::MotionNetData | ( |  | ) |

| Default Constructor. Definition at line 12 of file MotionNetData.cpp.

MotionNetData::~MotionNetData | ( |  | ) |

| Deconstructor. Definition at line 63 of file MotionNetData.cpp. References nodeArray.

## Member Function Documentation

void MotionNetData::load | ( | In & | stream | ) |

| Loads the motion net from a file or another stream. Definition at line 17 of file MotionNetData.cpp. References MotionNetNode::d, label_extern_start, and nodeArray. Referenced by GT2003MotionNetSpecialActions::handleMessage().

## Member Data Documentation

short MotionNetData::label_extern_start[SpecialActionRequest::numOfSpecialAction]

| jump table from extern.mof: get start index from request Definition at line 37 of file MotionNetData.h. Referenced by GT2003MotionNetSpecialActions::getNextData(), and load().

MotionNetNode* MotionNetData::nodeArray

| The motion net. Definition at line 40 of file MotionNetData.h. Referenced by GT2003MotionNetSpecialActions::getNextData(), load(), and ~MotionNetData().

The documentation for this class was generated from the following files:

- Modules/SpecialActions/GT2003MotionNetSpecialActions/MotionNetData.h
- Modules/SpecialActions/GT2003MotionNetSpecialActions/MotionNetData.cpp